---
search:
  tags:
    - system
    - GET
seo:
  description: >-
    Get WireGuard mesh overlay status. Reference for the GET /api/v1/mesh/status
    endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: Get the mesh status
  badge: GET
title: Get the mesh status
type: openapi-operation
---
Get WireGuard mesh overlay status.

`GET /api/v1/mesh/status`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "access_edges": [
    {
      "detail": "string",
      "port": "string",
      "reason": "livesync",
      "source_service_id": "string",
      "source_service_name": "string",
      "target_service_id": "string",
      "target_service_name": "string"
    }
  ],
  "backup_servers": [
    {
      "connection": "string",
      "enroll_state": "string",
      "last_handshake": "string",
      "last_seen": "string",
      "name": "string",
      "online": true,
      "overlay_ip": "string",
      "reachable": true,
      "role": "string",
      "server_id": "string",
      "since": "string",
      "tags": [
        "string"
      ]
    }
  ],
  "control_plane": {
    "connection": "string",
    "enroll_state": "string",
    "last_handshake": "string",
    "last_seen": "string",
    "name": "string",
    "online": true,
    "overlay_ip": "string",
    "reachable": true,
    "role": "string",
    "server_id": "string",
    "since": "string",
    "tags": [
      "string"
    ]
  },
  "dcs_clusters": [
    {
      "id": "string",
      "name": "string",
      "nodes": [
        {
          "connection": "string",
          "enroll_state": "string",
          "last_handshake": "string",
          "last_seen": "string",
          "name": "string",
          "online": true,
          "overlay_ip": "string",
          "reachable": true,
          "role": "string",
          "server_id": "string",
          "since": "string",
          "tags": [
            "string"
          ]
        }
      ]
    }
  ],
  "enabled": true,
  "service_names": {
    "property1": "string",
    "property2": "string"
  },
  "services": [
    {
      "id": "string",
      "name": "string",
      "nodes": [
        {
          "connection": "string",
          "enroll_state": "string",
          "last_handshake": "string",
          "last_seen": "string",
          "name": "string",
          "online": true,
          "overlay_ip": "string",
          "reachable": true,
          "role": "string",
          "server_id": "string",
          "since": "string",
          "tags": [
            "string"
          ]
        }
      ]
    }
  ],
  "unassigned": [
    {
      "connection": "string",
      "enroll_state": "string",
      "last_handshake": "string",
      "last_seen": "string",
      "name": "string",
      "online": true,
      "overlay_ip": "string",
      "reachable": true,
      "role": "string",
      "server_id": "string",
      "since": "string",
      "tags": [
        "string"
      ]
    }
  ]
}
```
